Bug 196122 - [MAINTAINER] databases/mariadb100-server unbreak SSLv2 disabled exp-run
Summary: [MAINTAINER] databases/mariadb100-server unbreak SSLv2 disabled exp-run
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks: 195796
  Show dependency treegraph
 
Reported: 2014-12-19 12:57 UTC by Bernard Spil
Modified: 2015-03-06 09:46 UTC (History)
2 users (show)

See Also:


Attachments
Patch for databases/mariadb-server (1.74 KB, patch)
2014-12-19 12:57 UTC, Bernard Spil
no flags Details | Diff
patch for databases/mariadb-client (459 bytes, patch)
2014-12-19 12:58 UTC, Bernard Spil
no flags Details | Diff
Patch for databases/mariadb100-server (1.80 KB, patch)
2014-12-19 14:43 UTC, Bernard Spil
no flags Details | Diff
Poudriere log of mariadb100-client amd64 (349.50 KB, text/x-log)
2014-12-19 14:48 UTC, Bernard Spil
no flags Details
Poudriere log of mariadb100-server amd64 (85.09 KB, application/x-gzip)
2014-12-19 14:49 UTC, Bernard Spil
no flags Details
Patch for databases/mariadb100-server (4.04 KB, patch)
2015-01-14 20:25 UTC, Bernard Spil
no flags Details | Diff
Poudriere log of mariadb100-server amd64 (74.93 KB, application/x-gzip)
2015-01-14 20:26 UTC, Bernard Spil
no flags Details
Poudriere log of mariadb100-client amd64 (348.19 KB, text/x-log)
2015-01-14 20:27 UTC, Bernard Spil
no flags Details
Patch for databases/mariadb100-server (4.84 KB, patch)
2015-01-15 12:43 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2014-12-19 12:57:09 UTC
Created attachment 150753 [details]
Patch for databases/mariadb-server

This came up during the SSLv2 disabled exp-run and through other reports. 
See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=195796
and http://package18.nyi.freebsd.org/data/101amd64-default-PR195796/2014-12-12_06h28m13s/logs/errors/mariadb100-client-10.0.14.log

Error is
"===>  mariadb100-client-10.0.14 security/openssl package is installed. To build this either select the OPENSSL and PORTSSL options or deinstall openssl.
*** Error code 1"

Looks like this handling of OPENSSL options was old. Reworked it and built client without SSL, with bundled SSL, with OpenSSL from base and LibreSSL from ports which is now auto-detected. Server built fine with default options linking LibreSSL.

Minor fix for the INNODB option that was coming up twice.
Comment 1 Bernard Spil freebsd_committer 2014-12-19 12:58:39 UTC
Created attachment 150754 [details]
patch for databases/mariadb-client

Align CONFLICTS handling with -server master
Comment 2 Bernard Spil freebsd_committer 2014-12-19 14:43:43 UTC
Created attachment 150765 [details]
Patch for databases/mariadb100-server

Slightly revised patch, remove nested conditional.
Comment 3 Bernard Spil freebsd_committer 2014-12-19 14:48:49 UTC
Created attachment 150766 [details]
Poudriere log of mariadb100-client amd64
Comment 4 Bernard Spil freebsd_committer 2014-12-19 14:49:41 UTC
Created attachment 150767 [details]
Poudriere log of mariadb100-server amd64

gzipped... Original size 2.3MB
Comment 5 Bernard Spil freebsd_committer 2015-01-14 20:25:22 UTC
Created attachment 151636 [details]
Patch for databases/mariadb100-server

1. Fixes the build without SSLv2 exp-run
2. Rework of the port to new OPTIONS helpers (-24 lines)
Comment 6 Bernard Spil freebsd_committer 2015-01-14 20:26:55 UTC
Created attachment 151637 [details]
Poudriere log of mariadb100-server amd64
Comment 7 Bernard Spil freebsd_committer 2015-01-14 20:27:57 UTC
Created attachment 151638 [details]
Poudriere log of mariadb100-client amd64
Comment 8 Johannes Jost Meixner freebsd_committer 2015-01-15 11:18:25 UTC
I'll take it (maintainer timeout).
Comment 9 Bernard Spil freebsd_committer 2015-01-15 12:43:51 UTC
Created attachment 151670 [details]
Patch for databases/mariadb100-server

Proper patch against ports/head (previous patch failed)
Comment 10 commit-hook freebsd_committer 2015-01-16 15:56:03 UTC
A commit references this bug:

Author: xmj
Date: Fri Jan 16 15:55:35 UTC 2015
New revision: 377185
URL: https://svnweb.freebsd.org/changeset/ports/377185

Log:
  databases/mariadb100-server: use options helpers

  - Use options helpers
  - Use GCC on i386 versions of FreeBSD later than 10.1-RELEASE

  PR:		196122
  Differential Revision:	https://reviews.freebsd.org/D1535
  Submitted by:	Bernard Spil <spil.oss@gmail.com>
  Approved by:	maintainer timeout (3 weeks)
  Approved by:	swills (maintainer)

Changes:
  head/databases/mariadb100-server/Makefile
Comment 11 Johannes Jost Meixner freebsd_committer 2015-01-16 15:56:45 UTC
Committed, thanks!